org.springframework.jdbc.core.metadata

## Class DerbyTableMetaDataProvider

- java.lang.Object
- - org.springframework.jdbc.core.metadata.GenericTableMetaDataProvider
  - - org.springframework.jdbc.core.metadata.DerbyTableMetaDataProvider

All Implemented Interfaces:
  TableMetaDataProvider

    public class DerbyTableMetaDataProvider
    extends GenericTableMetaDataProvider

The Derby specific implementation of the `TableMetaDataProvider`. Overrides the Derby metadata info regarding retreiving generated keys. It seems to work OK so not sure why they claim it's not supported.

Since:
  3.0
Author:
  Thomas Risberg

### Field Summary

### Fields inherited from class org.springframework.jdbc.core.metadata.GenericTableMetaDataProvider

`logger`

### Constructor Summary

Constructors
Constructor and Description
`DerbyTableMetaDataProvider(DatabaseMetaData databaseMetaData)`

### Method Summary

Methods
`void` `initializeWithMetaData(DatabaseMetaData databaseMetaData)` Initialize using the database metedata provided
`boolean` `isGetGeneratedKeysSupported()` Does this database support the JDBC 3.0 feature of retreiving generated keys `DatabaseMetaData.supportsGetGeneratedKeys()`

### Methods inherited from class org.springframework.jdbc.core.metadata.GenericTableMetaDataProvider

`catalogNameToUse, getDatabaseVersion, getDefaultSchema, getNativeJdbcExtractor, getSimpleQueryForGetGeneratedKey, getTableParameterMetaData, initializeWithTableColumnMetaData, isGeneratedKeysColumnNameArraySupported, isGetGeneratedKeysSimulated, isStoresLowerCaseIdentifiers, isStoresUpperCaseIdentifiers, isTableColumnMetaDataUsed, metaDataCatalogNameToUse, metaDataSchemaNameToUse, schemaNameToUse, setGeneratedKeysColumnNameArraySupported, setGetGeneratedKeysSupported, setNativeJdbcExtractor, setStoresLowerCaseIdentifiers, setStoresUpperCaseIdentifiers, tableNameToUse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DerbyTableMetaDataProvider

    public DerbyTableMetaDataProvider(DatabaseMetaData databaseMetaData)
                               throws SQLException

Throws:
  `SQLException`

### Method Detail

#### initializeWithMetaData

    public void initializeWithMetaData(DatabaseMetaData databaseMetaData)
                                throws SQLException

Description copied from interface: `TableMetaDataProvider`
Initialize using the database metedata provided

Specified by:
  `initializeWithMetaData` in interface `TableMetaDataProvider`
Overrides:
  `initializeWithMetaData` in class `GenericTableMetaDataProvider`
Throws:
  `SQLException`

#### isGetGeneratedKeysSupported

    public boolean isGetGeneratedKeysSupported()

Description copied from interface: `TableMetaDataProvider`
Does this database support the JDBC 3.0 feature of retreiving generated keys `DatabaseMetaData.supportsGetGeneratedKeys()`

Specified by:
  `isGetGeneratedKeysSupported` in interface `TableMetaDataProvider`
Overrides:
  `isGetGeneratedKeysSupported` in class `GenericTableMetaDataProvider`